# log4cplus::DailyRollingFileAppender Class Reference

DailyRollingFileAppender extends FileAppender so that the underlying file is rolled over at a user chosen frequency. More...

`#include <fileappender.h>`

Inheritance diagram for log4cplus::DailyRollingFileAppender:

[legend]
Collaboration diagram for log4cplus::DailyRollingFileAppender:

[legend]
List of all members.

## Public Member Functions

| DailyRollingFileAppender (const log4cplus::tstring &filename, DailyRollingFileSchedule schedule=DAILY, bool immediateFlush=true, int maxBackupIndex=10)
| DailyRollingFileAppender (const log4cplus::helpers::Properties &properties)
virtual | ~DailyRollingFileAppender ()
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.

## Protected Member Functions

virtual void | append (const spi::InternalLoggingEvent &event)
void | rollover ()
log4cplus::helpers::Time | calculateNextRolloverTime (const log4cplus::helpers::Time &t) const
log4cplus::tstring | getFilename (const log4cplus::helpers::Time &t) const

## Protected Attributes

DailyRollingFileSchedule | schedule
log4cplus::tstring | scheduledFilename
log4cplus::helpers::Time | nextRolloverTime
int | maxBackupIndex

## Detailed Description

DailyRollingFileAppender extends FileAppender so that the underlying file is rolled over at a user chosen frequency.

Definition at line 122 of file fileappender.h.

## Constructor & Destructor Documentation

log4cplus::DailyRollingFileAppender::DailyRollingFileAppender | ( | const log4cplus::tstring & | filename,
|  | DailyRollingFileSchedule | schedule = DAILY,
|  | bool | immediateFlush = true,
|  | int | maxBackupIndex = 10
| ) |

log4cplus::DailyRollingFileAppender::DailyRollingFileAppender | ( | const log4cplus::helpers::Properties & | properties | ) |

virtual log4cplus::DailyRollingFileAppender::~DailyRollingFileAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void log4cplus::DailyRollingFileAppender::append | ( | const spi::InternalLoggingEvent & | event | ) | `[protected, virtual]`

| Reimplemented from log4cplus::FileAppender.

log4cplus::helpers::Time log4cplus::DailyRollingFileAppender::calculateNextRolloverTime | ( | const log4cplus::helpers::Time & | t | ) | const`[protected]`

virtual void log4cplus::DailyRollingFileAppender::close | ( |  | ) | `[virtual]`

| Release any resources allocated within the appender such as file handles, network connections, etc. It is a programming error to append to a closed appender. Reimplemented from log4cplus::FileAppender.

log4cplus::tstring log4cplus::DailyRollingFileAppender::getFilename | ( | const log4cplus::helpers::Time & | t | ) | const`[protected]`

void log4cplus::DailyRollingFileAppender::rollover | ( |  | ) | `[protected]`

## Member Data Documentation

int log4cplus::DailyRollingFileAppender::maxBackupIndex`[protected]`

| Definition at line 147 of file fileappender.h.

log4cplus::helpers::Time log4cplus::DailyRollingFileAppender::nextRolloverTime`[protected]`

| Definition at line 146 of file fileappender.h.

DailyRollingFileSchedule log4cplus::DailyRollingFileAppender::schedule`[protected]`

| Definition at line 144 of file fileappender.h.

log4cplus::tstring log4cplus::DailyRollingFileAppender::scheduledFilename`[protected]`

| Definition at line 145 of file fileappender.h.

The documentation for this class was generated from the following file:

- fileappender.h